/******************************************************************************
 * Copyright 1997, Swiss Federal Institute of Technology, Zuerich (ETHZ)
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of ETHZ not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  ETHZ makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * ETHZ DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL ETHZ
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
-------------------------------------------------------------------------------
 Project:               Crossbow (IP Next Generation, with WashU's ARL)
-------------------------------------------------------------------------------

 File:			$Source: /home/arl/arlsw/mwa/Admin/cvsroot/home/mwa/src/error/LogCompatibility.h,v $
 Author(s):		Marcel Waldvogel
 Affiliation:		ETH Zuerich, TIK
 Version:		$Revision: 1.1 $
 Creation Date:		13.06.1997
 Last Changed:		$Date: 1997/11/29 16:23:00 $ by $Author: mwa $
-------------------------------------------------------------------------------
 
*Concept and Idea:
    Maps Error.[ch] functionality onto log()
    
*Performed Functions:
    
*Global Variables in Use:
    
*Extern Declarations in Use:
     
-------------------------------------------------------------------------------
 
*Remarks:
 
*****************************************************************************/

#include "Error.h"

#ifdef KERNEL_COMPATIBILITY

#define log syslog

/****************************************************************************
 * Performed Function : Like panic(), but logs using Error.[ch]
 *                      and allows parameters
 * Input Parameter    : message (printf-String) and printf-Parameters
 * Output Parameter   : None 
 * Handled Errors     : None
 * Error Codes        : None
 ***************************************************************************/
void
panic(const char *message, ...)
    __attribute__((format (printf, 2, 3), noreturn));

#endif /*KERNEL_COMPATIBILITY*/

/****************************************************************************
 * Performed Function : Like syslog() from libc, but logs using Error.[ch]
 * Input Parameter    : priority, message (printf-String) and printf-Parameters
 * Output Parameter   : None 
 * Handled Errors     : None
 * Error Codes        : None
 ***************************************************************************/
void
openlog(int priority, const char *message, ...)
    __attribute__ ((format (printf, 2, 3)));

/****************************************************************************
 * Performed Function : Like syslog() from libc, but logs using Error.[ch]
 * Input Parameter    : priority, message (printf-String) and printf-Parameters
 * Output Parameter   : None 
 * Handled Errors     : None
 * Error Codes        : None
 ***************************************************************************/
void
syslog(int priority, const char *message, ...)
    __attribute__ ((format (printf, 2, 3)));

